Package Details: ffmpeg-full-git 4.4.r100994.ga52b9464e4-1

Git Clone URL: https://aur.archlinux.org/ffmpeg-full-git.git (read-only, click to copy)
Package Base: ffmpeg-full-git
Description: Complete solution to record, convert and stream audio and video (all possible features including libfdk-aac; git version)
Upstream URL: https://www.ffmpeg.org/
Keywords: audio codec convert cuda cuvid decklink encoder fdk-aac fdkaac hwaccel libnpp media nvenc svt video
Licenses: custom: nonfree and unredistributable
Conflicts: ffmpeg
Provides: ffmpeg, ffmpeg-full, ffmpeg-git, libavcodec.so, libavdevice.so, libavfilter.so, libavformat.so, libavresample.so, libavutil.so, libpostproc.so, libswresample.so, libswscale.so
Submitter: dbermond
Maintainer: dbermond
Last Packager: dbermond
Votes: 17
Popularity: 0.63
First Submitted: 2015-12-27 19:22
Last Updated: 2021-02-07 01:55

Dependencies (111)

Required by (1000)

Sources (7)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 ... Next › Last »

dbermond commented on 2020-08-14 12:14

@SmoochySix4 Package is building fine. There are no cuda/nvcc problems.

Please make sure that you have followed the cuda post-install instructions: https://github.com/archlinux/svntogit-community/blob/38cef3b9c92d4467ef8bb5ceece2cbdf1a3fbdb5/trunk/cuda.install#L5

Anonymous comment on 2020-08-14 09:00

--enable-cuda-nvcc does not work

failed checking for nvcc

dbermond commented on 2020-07-23 01:41

@EndlessEden I've added a patch for cuda 11.0.

EndlessEden commented on 2020-07-22 02:49

just a warning; cuda-11.0.2-1 is not compatible, and it will be soon pushed to community repo.

any news upstream or a patch?

dbermond commented on 2020-07-06 19:20

@JDAturbo Thanks. Fixed. Don't forget to delete your cached patch file before building, since only the source has changed.

JDAturbo commented on 2020-07-06 10:12

Build currently failing due to using 0001-Add-ability-for-ffmpeg-to-run-svt-av1.patch instead of 0001-Add-ability-for-ffmpeg-to-run-svt-av1-with-svt-hevc.patch.

SolarAquarion commented on 2020-06-21 02:38

this is seemingly svt-av1 and similar based on ffmpeg git master https://gist.github.com/1480c1/ecc1dd3a15093398492c86f2314f4a67

dbermond commented on 2020-06-04 19:50

@EndlessEden This is due to some upstream (ffmpeg) changes, and I have added a patch to fix it. Package is now building fine.

EndlessEden commented on 2020-06-04 06:16

Anyone else failing to build with "ff_side_data_set_encoder_stats" failing implicitly.

could be temporary, but i wanted to be sure. - All depends (except any aur specific depends) are all from arch repo.

Fog commented on 2020-05-12 02:01

EDIT: Removed doxygen during building and it worked.

Getting this error when trying to build.

-> Extracting ffmpeg-4.2.2.tar.xz with bsdtar ==> Starting prepare()... patching file configure patching file libavcodec/Makefile patching file libavcodec/allcodecs.c patching file libavcodec/libsvt_hevc.c patching file doc/encoders.texi patching file doc/general.texi patching file configure Hunk #1 succeeded at 265 (offset -1 lines). Hunk #2 succeeded at 1796 (offset -2 lines). Hunk #3 succeeded at 3196 (offset -23 lines). Hunk #4 succeeded at 6270 (offset -44 lines). patching file libavcodec/Makefile Hunk #1 succeeded at 992 (offset -6 lines). patching file libavcodec/allcodecs.c Hunk #1 succeeded at 708 (offset -2 lines). patching file libavcodec/libsvt_av1.c patching file configure Hunk #2 succeeded at 1798 (offset 9 lines). Hunk #3 succeeded at 3199 (offset 18 lines). Hunk #4 succeeded at 6274 (offset 54 lines). patching file libavcodec/Makefile Hunk #1 succeeded at 993 (offset 4 lines). patching file libavcodec/allcodecs.c Hunk #1 succeeded at 709 (offset 4 lines). patching file libavcodec/avcodec.h Hunk #1 succeeded at 1527 (offset 1 line). patching file libavcodec/libsvt_vp9.c patching file libavformat/ivfenc.c patching file libavdevice/decklink_common.cpp Hunk #1 succeeded at 270 (offset 1 line). ==> Sources are ready. :: failed to verify integrity or prepare ffmpeg-amd-full package